#include "main.h"
#include "clock.h"
#include "timebase.h"
#include "dcf77.h"
#include "lcd.h"


int main( void )
{
  
  //DDRC |= 1<<PC1;
  DDRC  = 0x00;
  PORTC = 0xFF;		// enable pull ups

  DDRB  = 0xff;     // fuer Testausgaben auf ein paar LED's
  
  
  lcd_init();
  //display_off();
  timebase_init();
  sei();
  
  for(;;)
  {
  	
	scan_dcf77();
	
	/*
    #if 1
    if( DCF77_PIN & 1<<DCF77 )
	{
      PORTC |= 1<< PC1;
	}
    else
	{
      PORTC &= ~(1<<PC1);
	}
    #endif
    */
	
    if( timeflags & 1<<ONE_SECOND )
	{
      timeflags = 0;
      clock();
	  
      if( synchronize == 0 )
        continue;
		
      if( synchronize == 1 && time.hour == 3 )
	  {
        if( time.minute == 20 )
          //display_off();
		  
        if( time.minute == 28 )
          synchronize = 2;
        
		continue;
		
      }
      if( time.hour == 4 )
        synchronize = 1;

      //DDRC &= ~(1<<PC1);
      lcd_clear();
      display_time();
      //display_out();
	  PORTB ^= _BV(PB2);
    }
  }
}
